1. Connectedly Question's Avatar
    i am unsure it my phone will download android wear as you need android 4.3
    01-04-2017 04:47 AM
  2. zocster's Avatar
    your xcover should be running 4.4.4 so yes, it should be ok.
    01-05-2017 02:40 PM

Similar Threads

  1. My first smartwatch!
    By charbel1011 in forum Smartwatch Lounge
    Replies: 6
    Last Post: 01-07-2017, 12:19 PM
LINK TO POST COPIED TO CLIPBOARD